Discussion on RWC - Raspberry Web Console

DigitalBorder

DigitalBorder supports this item

Supported

This author's response time can be up to 2 business days.

8 comments found.

very good work ! all the best for your sales ;)

Thank you so much!

More Tutorial Pls

Hi, can i help you?

Tutorial for installation or more?

hey can you tell me you have develop this application using which platform

Hi, do you mean the OS? This app is in python and you can run it in UNIX system. I have installed Raspbian on my raspberry

s31teg

s31teg Purchased

How could I make it so all outputs turn off before turning on another pin?

Open webserver.py and add a for cycle in route /on

s31teg

s31teg Purchased

thanks this was easy from a custom link

s31teg

s31teg Purchased

Also how could I make 2 pins switch from the same command?

Hi, Open webserver.py you have 2 ways: add a custom route with custom link. Or you can insert a “if” in the route /on

s31teg

s31teg Purchased

thanks this was easy from a custom link

s31teg

s31teg Purchased

How could I show the status of a single pin in this code:

http://pastebin.com/bmjTTrLv (sorry I don’t know how to post code here)

You are welcome!

s31teg

s31teg Purchased

Just for info this is what worked in the end:

http://pastebin.com/K8WTSngs {% if pins14.state== true } Digicam 1 { else } Digicam 1 { endif %}

very good!

Awesome work, great job!

Thank you so much!

fielos

fielos Purchased

sudo pip install flask and sudo pip install RPi.GPIO not work in my raspberry pi3 with jessie…the error is:Requirement already satisfied (use—upgrade to upgrade): Werkzeug>=0.7 in /usr/lib/python2.7/dist-packages (from flask) Requirement already satisfied (use—upgrade to upgrade): Jinja2>=2.4 in /usr/lib/python2.7/dist-packages (from flask) Requirement already satisfied (use—upgrade to upgrade): itsdangerous>=0.21 in /usr/lib/python2.7/dist-packages (from flask) Requirement already satisfied (use -upgrade to upgrade): markupsafe in /usr/lib/python2.7/dist-packages (from Jinja2>=2.4>flask) ... Can you help my?

fielos

fielos Purchased

pi@fielos:~$ sudo python webserver.py Traceback (most recent call last): File “webserver.py”, line 6, in <module> import Adafruit_DHT ImportError: No module named Adafruit_DHT

fielos

fielos Purchased

you can give me the your disk image?

Hi, ok if you don’t use DHT Temperature Sensor, you can edit webserver.py and comment this line:

import Adafruit_DHT

If you don’t want also lcd screen comment: import Adafruit_CharLCD as LCD

Set this variable to False: temperature_sensor

by
by
by
by
by
by